# Get Digital Twin Generation Status

 Checks the current status of the Digital Twin generation process and returns relevant details.

<Callout icon="📘" theme="info">
  **Note:**

  * This endpoint consumes API credits and is only available to <Anchor label="**Enterprise**" target="_blank" href="https://www.heygen.com/api-pricing">**Enterprise**</Anchor> API plan users.
  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** panel on the right and choose an example to explore different Digital Twin processing statuses (such as in progress, complete, or failed) and see how each status appears in the API response examples.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/video_avatar/{avatar_id}": {
      "get": {
        "description": "",
        "operationId": "get_v2video_avatar{avatar_id}",
        "responses": {
          "200": {
            "description": "Status retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "avatar_id": {
                          "type": "string",
                          "description": "Unique identifier of the video avatar. "
                        },
                        "avatar_name": {
                          "type": "string",
                          "description": "Name assigned to the video avatar. "
                        },
                        "status": {
                          "type": "string",
                          "description": "Generation status of the video avatar. ",
                          "enum": [
                            "completed: Video avatar rendered successfully",
                            "failed: Rendering failed",
                            "in_progress: Video avatar is rendering"
                          ]
                        },
                        "created_at": {
                          "type": "integer",
                          "description": "Unix timestamp when the video avatar was created."
                        },
                        "preview_image_url": {
                          "type": "string",
                          "description": "URL pointing to the image file used for preview purposes."
                        },
                        "preview_video_url": {
                          "type": "string",
                          "description": "URL pointing to the video file used for preview purposes."
                        },
                        "default_voice_id": {
                          "type": "string",
                          "description": "Default voice ID assigned to the video avatar."
                        }
                      },
                      "description": "Contains the video avatar details. "
                    }
                  }
                },
                "examples": {
                  "Complete": {
                    "summary": "Complete",
                    "value": {
                      "error": null,
                      "data": {
                        "avatar_id": "2d3490e6bc5f42c7b4c5b7ad60d2c6a0",
                        "avatar_name": "John Doe",
                        "status": "complete",
                        "created_at": 1762490524,
                        "preview_image_url": "<preview_image_url>",
                        "preview_video_url": "<preview_video_url>",
                        "default_voice_id": null
                      }
                    }
                  },
                  "In Progress": {
                    "summary": "In Progress",
                    "value": {
                      "error": null,
                      "data": {
                        "avatar_id": "2d3490e6bc5f42c7b4c5b7ad60d2c6a0",
                        "avatar_name": "John Doe",
                        "status": "in_progress",
                        "created_at": 1762490524,
                        "preview_image_url": null,
                        "preview_video_url": null,
                        "default_voice_id": null
                      }
                    }
                  },
                  "Failed - Invalid Training Footage Format": {
                    "summary": "Failed - Invalid Training Footage Format",
                    "value": {
                      "error": null,
                      "data": {
                        "avatar_id": "2d3490e6bc5f42c7b4c5b7ad60d2c6a0",
                        "avatar_name": "John Doe",
                        "status": "failed",
                        "created_at": 1762490524,
                        "preview_image_url": null,
                        "preview_video_url": null,
                        "error_message": "Invalid training footage format.",
                        "default_voice_id": null
                      }
                    }
                  },
                  "Failed - Object Download Failed": {
                    "summary": "Failed - Object Download Failed",
                    "value": {
                      "error": null,
                      "data": {
                        "avatar_id": "2d3490e6bc5f42c7b4c5b7ad60d2c6a0",
                        "avatar_name": "John Doe",
                        "status": "failed",
                        "created_at": 1762490524,
                        "preview_image_url": null,
                        "preview_video_url": null,
                        "error_message": "Object download failed",
                        "default_voice_id": null
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Specified Avatar ID Not Found",
            "content": {}
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "avatar_id",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Unique identifier of the avatar. Can be retrieved from <a href=\"https://docs.heygen.com/referencereference/submit-video-avatar-creation-request\" target=\"_blank\">Submit Digital Twin Creation Request</a> endpoint. "
          }
        ]
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```